{
    "env": {
		"node": true,
		"es6": true,
		"es2017": true
    },
    "extends": [
		"airbnb-typescript/base",
		"plugin:@typescript-eslint/recommended",
		"plugin:import/typescript"
	],
	"parser": "@typescript-eslint/parser",
	"parserOptions": {
		"project": "tsconfig.json",
		"tsconfigRootDir": "."
	},
	"plugins": ["@typescript-eslint"],
	"rules": {
		"class-methods-use-this": "off",
		"consistent-return": "off",
		"@typescript-eslint/no-explicit-any": "off",
		"default-case": "off",
		"no-undef": "off",
		"max-len": ["error", 130],
		"import/prefer-default-export": "off",
		"@typescript-eslint/explicit-function-return-type": "off",
		"max-classes-per-file": ["error", 5],
		"import/extensions": "off",
        "@typescript-eslint/no-unused-vars": "error",
        "@typescript-eslint/no-useless-constructor": "error"
    }
}